%{
#include "gram.h"
%}

integer	[0-9]+
dreal	[0-9]*"."[0-9]+
ereal	([0-9]*"."[0-9]+[eE][+-]?[0-9]+)
real	{dreal}|{ereal}
nl	\n

%%

[ \t]+		;
{integer}	{ sscanf(yytext,"%d",&yylval.integer);
		  return INTEGER;
		}
{real}		{ sscanf(yytext,"%lf",&yylval.real);
		  return REAL;
		}
{nl}		{ extern int lineno; lineno++;
		  return '\n';
		}
.		{ return yytext[0]; }

%%

